#############################################################################
# Makefile for building: kqoauth
# Generated by qmake (2.01a) (Qt 4.7.4) on: ? 9 15 00:41:48 2011
# Project:  src.pro
# Template: lib
# Command: d:\kiyoshi\tool\qtsdk\desktop\qt\4.7.4\mingw\bin\qmake.exe -spec ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile src.pro
#############################################################################

first: shared-debug
install: shared-debug-install
uninstall: shared-debug-uninstall
MAKEFILE      = Makefile
QMAKE         = d:\kiyoshi\tool\qtsdk\desktop\qt\4.7.4\mingw\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		shared-debug \
		shared-release \
		static-debug \
		static-release

shared-debug: $(MAKEFILE).SharedDebug FORCE
	$(MAKE) -f $(MAKEFILE).SharedDebug
shared-debug-make_default: $(MAKEFILE).SharedDebug FORCE
	$(MAKE) -f $(MAKEFILE).SharedDebug 
shared-debug-make_first: $(MAKEFILE).SharedDebug FORCE
	$(MAKE) -f $(MAKEFILE).SharedDebug first
shared-debug-all: $(MAKEFILE).SharedDebug FORCE
	$(MAKE) -f $(MAKEFILE).SharedDebug all
shared-debug-clean: $(MAKEFILE).SharedDebug FORCE
	$(MAKE) -f $(MAKEFILE).SharedDebug clean
shared-debug-distclean: $(MAKEFILE).SharedDebug FORCE
	$(MAKE) -f $(MAKEFILE).SharedDebug distclean
shared-debug-install: $(MAKEFILE).SharedDebug FORCE
	$(MAKE) -f $(MAKEFILE).SharedDebug install
shared-debug-uninstall: $(MAKEFILE).SharedDebug FORCE
	$(MAKE) -f $(MAKEFILE).SharedDebug uninstall
shared-release: $(MAKEFILE).SharedRelease FORCE
	$(MAKE) -f $(MAKEFILE).SharedRelease
shared-release-make_default: $(MAKEFILE).SharedRelease FORCE
	$(MAKE) -f $(MAKEFILE).SharedRelease 
shared-release-make_first: $(MAKEFILE).SharedRelease FORCE
	$(MAKE) -f $(MAKEFILE).SharedRelease first
shared-release-all: $(MAKEFILE).SharedRelease FORCE
	$(MAKE) -f $(MAKEFILE).SharedRelease all
shared-release-clean: $(MAKEFILE).SharedRelease FORCE
	$(MAKE) -f $(MAKEFILE).SharedRelease clean
shared-release-distclean: $(MAKEFILE).SharedRelease FORCE
	$(MAKE) -f $(MAKEFILE).SharedRelease distclean
shared-release-install: $(MAKEFILE).SharedRelease FORCE
	$(MAKE) -f $(MAKEFILE).SharedRelease install
shared-release-uninstall: $(MAKEFILE).SharedRelease FORCE
	$(MAKE) -f $(MAKEFILE).SharedRelease uninstall
static-debug: $(MAKEFILE).StaticDebug FORCE
	$(MAKE) -f $(MAKEFILE).StaticDebug
static-debug-make_default: $(MAKEFILE).StaticDebug FORCE
	$(MAKE) -f $(MAKEFILE).StaticDebug 
static-debug-make_first: $(MAKEFILE).StaticDebug FORCE
	$(MAKE) -f $(MAKEFILE).StaticDebug first
static-debug-all: $(MAKEFILE).StaticDebug FORCE
	$(MAKE) -f $(MAKEFILE).StaticDebug all
static-debug-clean: $(MAKEFILE).StaticDebug FORCE
	$(MAKE) -f $(MAKEFILE).StaticDebug clean
static-debug-distclean: $(MAKEFILE).StaticDebug FORCE
	$(MAKE) -f $(MAKEFILE).StaticDebug distclean
static-debug-install: $(MAKEFILE).StaticDebug FORCE
	$(MAKE) -f $(MAKEFILE).StaticDebug install
static-debug-uninstall: $(MAKEFILE).StaticDebug FORCE
	$(MAKE) -f $(MAKEFILE).StaticDebug uninstall
static-release: $(MAKEFILE).StaticRelease FORCE
	$(MAKE) -f $(MAKEFILE).StaticRelease
static-release-make_default: $(MAKEFILE).StaticRelease FORCE
	$(MAKE) -f $(MAKEFILE).StaticRelease 
static-release-make_first: $(MAKEFILE).StaticRelease FORCE
	$(MAKE) -f $(MAKEFILE).StaticRelease first
static-release-all: $(MAKEFILE).StaticRelease FORCE
	$(MAKE) -f $(MAKEFILE).StaticRelease all
static-release-clean: $(MAKEFILE).StaticRelease FORCE
	$(MAKE) -f $(MAKEFILE).StaticRelease clean
static-release-distclean: $(MAKEFILE).StaticRelease FORCE
	$(MAKE) -f $(MAKEFILE).StaticRelease distclean
static-release-install: $(MAKEFILE).StaticRelease FORCE
	$(MAKE) -f $(MAKEFILE).StaticRelease install
static-release-uninstall: $(MAKEFILE).StaticRelease FORCE
	$(MAKE) -f $(MAKEFILE).StaticRelease uninstall

Makefile: src.pro  ../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/win32-g++/qmake.conf ../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/qconfig.pri \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/modules/qt_webkit_version.pri \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/qt_functions.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/qt_config.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/exclusive_builds.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/default_pre.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/win32/default_pre.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/debug.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/debug_and_release.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/default_post.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/win32/default_post.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/static_and_shared.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/win32/rtti.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/win32/exceptions.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/win32/stl.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/shared.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/dll.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/warn_on.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/qt.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/win32/thread.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/moc.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/win32/windows.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/resources.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/uic.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/yacc.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/lex.prf \
		../../../../tool/QtSDK/Desktop/Qt/4.7.4/mingw/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile src.pro
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\qconfig.pri:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\modules\qt_webkit_version.pri:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\qt_functions.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\qt_config.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\exclusive_builds.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\default_pre.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\default_pre.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\debug.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\debug_and_release.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\default_post.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\default_post.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\static_and_shared.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\rtti.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\exceptions.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\stl.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\shared.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\dll.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\warn_on.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\qt.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\thread.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\moc.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\windows.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\resources.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\uic.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\yacc.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\lex.prf:
..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile src.pro

qmake_all: FORCE

make_default: shared-debug-make_default shared-release-make_default static-debug-make_default static-release-make_default FORCE
make_first: shared-debug-make_first shared-release-make_first static-debug-make_first static-release-make_first FORCE
all: shared-debug-all shared-release-all static-debug-all static-release-all FORCE
clean: shared-debug-clean shared-release-clean static-debug-clean static-release-clean FORCE
	-$(DEL_FILE) ..\lib\libkqoauth0.a
distclean: shared-debug-distclean shared-release-distclean static-debug-distclean static-release-distclean FORCE
	-$(DEL_FILE) Makefile

check: first

shared-debug-mocclean: $(MAKEFILE).SharedDebug
	$(MAKE) -f $(MAKEFILE).SharedDebug mocclean
shared-release-mocclean: $(MAKEFILE).SharedRelease
	$(MAKE) -f $(MAKEFILE).SharedRelease mocclean
static-debug-mocclean: $(MAKEFILE).StaticDebug
	$(MAKE) -f $(MAKEFILE).StaticDebug mocclean
static-release-mocclean: $(MAKEFILE).StaticRelease
	$(MAKE) -f $(MAKEFILE).StaticRelease mocclean
mocclean: shared-debug-mocclean shared-release-mocclean static-debug-mocclean static-release-mocclean

shared-debug-mocables: $(MAKEFILE).SharedDebug
	$(MAKE) -f $(MAKEFILE).SharedDebug mocables
shared-release-mocables: $(MAKEFILE).SharedRelease
	$(MAKE) -f $(MAKEFILE).SharedRelease mocables
static-debug-mocables: $(MAKEFILE).StaticDebug
	$(MAKE) -f $(MAKEFILE).StaticDebug mocables
static-release-mocables: $(MAKEFILE).StaticRelease
	$(MAKE) -f $(MAKEFILE).StaticRelease mocables
mocables: shared-debug-mocables shared-release-mocables static-debug-mocables static-release-mocables
FORCE:

$(MAKEFILE).SharedDebug: Makefile
$(MAKEFILE).SharedRelease: Makefile
$(MAKEFILE).StaticDebug: Makefile
$(MAKEFILE).StaticRelease: Makefile
